Package org.xnio.conduits

# Class ReadReadyHandler.ReadyTask

java.lang.Object
org.xnio.conduits.ReadReadyHandler.ReadyTask

All Implemented Interfaces:
  `Runnable`

Enclosing interface:
  `ReadReadyHandler`

public static class ReadReadyHandler.ReadyTask extends Object implements Runnable
A runnable task which invokes the `ReadReadyHandler.readReady()` method of the given handler.

## Constructor Summary

Constructors
Constructor
Description
`ReadyTask(ReadReadyHandler handler)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadyTask

public ReadyTask(ReadReadyHandler handler)
Construct a new instance.

Parameters:
  `handler` - the handler to invoke

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`